using System;

internal sealed class Delegate545 : MulticastDelegate
{
	public extern Delegate Invoke(Delegate delegate_0, Delegate delegate_1);

	public static Delegate smethod_0(Delegate delegate_0, Delegate delegate_1, Delegate545 delegate545_1)
	{
		return delegate545_1(delegate_0, delegate_1);
	}

	public extern Delegate545(object object_0, IntPtr intptr_0);

	static Delegate545()
	{
		Class10.smethod_13(typeof(Delegate545).TypeHandle);
	}

	internal static Delegate545 delegate545_0;
}
